Eclipse Platform Release 3.7

## org.eclipse.jface.text.information
Interface IInformationProviderExtension2

All Known Implementing Classes:
  LineChangeHover, RevisionInformation

    public interface IInformationProviderExtension2

Extends `IInformationProvider` with the ability to provide its own information presenter control creator.

Since:
  3.0
See Also:
  `IInformationControlCreator`, `IInformationProvider`

Method Summary
`IInformationControlCreator` `getInformationPresenterControlCreator()` Returns the information control creator of this information provider.

Method Detail

### getInformationPresenterControlCreator

    IInformationControlCreator getInformationPresenterControlCreator()

  Returns the information control creator of this information provider.

  Returns:
    the information control creator or `null` if none is available

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.